> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove ticket input field value

> Removes a custom input field value from a ticket. Cannot remove mandatory input fields.



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/tickets/{ticketId}/fields/{inputFieldId}
openapi: 3.1.0
info:
  title: Qminder API
  version: '1.0'
  description: >-
    The Qminder API allows you to integrate queue management into your own
    applications.
servers:
  - url: https://api.qminder.com
security:
  - sec0: []
tags:
  - name: Locations
    description: Manage physical service locations
  - name: Lines
    description: Manage virtual queues within locations
  - name: Input Fields
    description: Manage custom data fields for locations
  - name: Tickets
    description: Manage visitor queue entries
  - name: Appointments
    description: Manage scheduled appointments
  - name: Users
    description: Manage user accounts and permissions
  - name: Webhooks
    description: Manage webhook subscriptions
paths:
  /v1/tickets/{ticketId}/fields/{inputFieldId}:
    delete:
      tags:
        - Tickets
      summary: Remove ticket input field value
      description: >-
        Removes a custom input field value from a ticket. Cannot remove
        mandatory input fields.
      operationId: remove-ticket-field
      parameters:
        - name: ticketId
          in: path
          description: ID of the ticket
          required: true
          schema:
            type: string
        - name: inputFieldId
          in: path
          description: UUID of the input field
          required: true
          schema:
            type: string
            format: uuid
        - name: X-Qminder-API-Version
          in: header
          description: API version. Must be set to `2020-09-01`.
          required: true
          schema:
            type: string
            enum:
              - '2020-09-01'
            default: '2020-09-01'
      responses:
        '200':
          description: Input field value removed successfully
        '400':
          description: Mandatory input field cannot be removed
        '404':
          description: Ticket or input field not found
        '409':
          description: Ticket and input field are from different locations
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: X-Qminder-REST-API-Key
      x-default: yourbusinessapikey

````